Lightzone 4.2 startet nicht

Bei mir lassen sich unter Manjaro 20 XFCE weder Lightzone 4.2.1-2 noch lightzone-git 4.2.0.r0.g1521dcca-1 aus dem AUR verwenden. Die Installation verläuft fehlerfrei und in der Anwendungsverwaltung erscheint jeweils Lightzone. Beim Aufruf von Lightzone passiert aber rein gar nichts. Lightzone ist eine Java-Anwendung und eine Java-Runtime wurde vom Installer auch angelegt. Und wie geht es nun weiter?

Starte mal Lighzone von der Konsole und poste dann die Fehlermeldung.

Lightzone 4.2.1-2 staret bei mir ohne Probleme.

Starting LightZone version 4.2.1 ...
with options :
openjdk version "1.8.0_252"
OpenJDK Runtime Environment (build 1.8.0_252-b09)
OpenJDK 64-Bit Server VM (build 25.252-b09, mixed mode)
/usr/bin/lightzone: Zeile 78: -XX:MinHeapFreeRatio=30: Kommando nicht gefunden.
Error: A JNI error has occurred, please check your installation and try again
Exception in thread "main" java.lang.UnsupportedClassVersionError: com/lightcrafts/platform/linux/LinuxLauncher has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:756)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:468)
at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
at java.lang.ClassLoader.loadClass(ClassLoader.java:351)
at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:495)

Ich bin der Meinung irgendwo gelesen zu haben, das LightZone 4.2.1 Java Version 11 benötigt?

Und siehe da, nach einem erzwungenem Wechsel der aktiven Java-Umgebung mittels "archlinux-java set java-11-openjdk" startet nun auch Lightzone.
Jetzt werde ich noch testen, ob das negative Auswirkungen auf andere Java Anwendungen hat.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by